package v3

// seminarGroups Model for fetching json data
type seminarGroups struct {
	TotalItems int            `json:"hydra:totalItems"`
	Groups     []seminarGroup `json:"hydra:member"`
}

type seminarGroup struct {
	Type         string `json:"@type"`
	ID           string `json:"id"`
	Semester     string `json:"semester"`
	Faculty      string `json:"fakultaet"`
	Studiengang  string `json:"studiengang"`
	SeminarGroup string `json:"kuerzel"`
}

type studyTypes struct {
	TotalItems int         `json:"hydra:totalItems"`
	Types      []studyType `json:"hydra:member"`
}

type studyType struct {
	Type        string `json:"@type"`
	ID          string `json:"id"`
	Faculty     string `json:"fakultaet"`
	Semester    string `json:"semester"`
	ShortCut    string `json:"kuerzel"`
	Description string `json:"bezeichnung"`
	GroupID     string `json:"studiengangskuerzel"`
}

type faculties struct {
	TotalItems int       `json:"hydra:totalItems"`
	Faculties  []faculty `json:"hydra:member"`
}

type faculty struct {
	ID          string   `json:"id"`
	StudyTypes  []string `json:"studiengaenge"`
	ShortCut    string   `json:"kuerzel"`
	Description string   `json:"bezeichnung"`
	Internal    string   `json:"internal"`
}

type Events struct {
	TotalItems int     `json:"hydra:totalItems"`
	Events     []Event `json:"hydra:member"`
}

type Event struct {
	ID            string   `json:"id"`
	Faculty       string   `json:"fakultaet"`
	SeminarGroups []string `json:"studierendengruppen"`
	Flags         []string `json:"flags"`
	Module        string   `json:"modul"`
	EventType     string   `json:"veranstaltungstyp"`
	Professors    []string `json:"dozierende"`
	Rooms         []string `json:"raeume"`
	Courses       []string `json:"studiengaenge"`
	Description   string   `json:"bezeichnung"`
	Day           string   `json:"wochentag"`
	StartTime     string   `json:"beginAt"`
	EndTime       string   `json:"endAt"`
	CalendarWeeks []int    `json:"kalenderwochen"`
	Semester      string   `json:"semester"`
	BookedAt      string   `json:"internalUpdatedAt"`
}
